Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles
Interface TilesApplicationContext

All Known Implementing Classes:
  EnhancedTilesApplicationContext, PortletTilesApplicationContext, PortletTilesRequestContext, ServletTilesApplicationContext, ServletTilesRequestContext, TilesApplicationContextWrapper, WildcardPortletTilesApplicationContext, WildcardPortletTilesApplicationContext, WildcardServletTilesApplicationContext, WildcardServletTilesApplicationContext

    public interface TilesApplicationContext

Defines a set of methods which tiles use to communicate to the tiles container and runtime environment. There is only one application context per container.

Since:
  2.0
Version:
  $Rev: 654222 $ $Date: 2008-05-07 21:17:15 +0200 (mer, 07 mag 2008) $

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `getApplicationScope()` Returns a mutable Map that maps application scope attribute names to their values.
`java.lang.Object` | `getContext()` Returns the original, technology-dependent, context.
`java.util.Map<java.lang.String,java.lang.String>` | `getInitParams()` Return an immutable Map that maps context application initialization parameters to their values.
`java.net.URL` | `getResource(java.lang.String path)` Return a URL for the application resource mapped to the specified path.
`java.util.Set<java.net.URL>` | `getResources(java.lang.String path)` Return a URL for the application resource mapped to the specified path.

Method Detail

### getContext

    java.lang.Object getContext()

  Returns the original, technology-dependent, context.

  Returns:
    The original application context.
  Since:
    2.1.0

### getApplicationScope

    java.util.Map<java.lang.String,java.lang.Object> getApplicationScope()

  Returns a mutable Map that maps application scope attribute names to their values.

  Returns:
    Map of key value pairs.

### getInitParams

    java.util.Map<java.lang.String,java.lang.String> getInitParams()

  Return an immutable Map that maps context application initialization parameters to their values.

  Returns:
    initialization parameters

### getResource

    java.net.URL getResource(java.lang.String path)
                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Parameters:
    `path` - to the desired resource.
  Returns:
    the first located resource which matches the given path.
  Throws:
    `java.io.IOException` - if the path is malformed

### getResources

    java.util.Set<java.net.URL> getResources(java.lang.String path)
                                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Parameters:
    `path` - to the desired resource.
  Returns:
    all resources which match the given path.
  Throws:
    `java.io.IOException` - if the url is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.